Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.udo.cs.miningmart.gui.concepteditor
Class BaseAttributeEditor

    java.lang.Object
      javax.swing.AbstractCellEditor
          javax.swing.DefaultCellEditor
              edu.udo.cs.miningmart.gui.concepteditor.BaseAttributeEditor

All Implemented Interfaces:
  java.io.Serializable, javax.swing.CellEditor, javax.swing.table.TableCellEditor, javax.swing.table.TableCellRenderer, javax.swing.tree.TreeCellEditor

    public class BaseAttributeEditor

extends javax.swing.DefaultCellEditor
implements javax.swing.table.TableCellRenderer

This is an editor and renderer for `BaseAttribute`s in the `FeatureTable`.

Version:
  $Id: BaseAttributeEditor.java,v 1.5 2006/09/27 15:00:02 euler Exp $
Author:
  Daniel Hakenjos
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class javax.swing.DefaultCellEditor
`javax.swing.DefaultCellEditor.EditorDelegate`

Field Summary
`static int` | `ATTRIBUTE_ROLE_EDITOR`
`protected BaseAttribute` | `baseattrib`
`static int` | `DATA_TYPE_EDITOR`
`static int` | `DEFAULT_EDITOR`
`static int` | `NAME_EDITOR`

Fields inherited from class javax.swing.DefaultCellEditor
`clickCountToStart, delegate, editorComponent`

Fields inherited from class javax.swing.AbstractCellEditor
`changeEvent, listenerList`

Constructor Summary
`BaseAttributeEditor()` Default Constructor for editing a `JTextField`.
`BaseAttributeEditor(BaseAttribute baseattrib, int editor)` Constructs new `ParameterEditor` with a `JTextField`.

Method Summary
`java.awt.Component` | `getTableCellRendererComponent(javax.swing.JTable table, java.lang.Object value, boolean isSelected, boolean hasFocus, int row, int column)` Gets the `editorComponent`.

Methods inherited from class javax.swing.DefaultCellEditor
`cancelCellEditing, getCellEditorValue, getClickCountToStart, getComponent, getTableCellEditorComponent, getTreeCellEditorComponent, isCellEditable, setClickCountToStart, shouldSelectCell, stopCellEditing`

Methods inherited from class javax.swing.AbstractCellEditor
`addCellEditorListener, fireEditingCanceled, fireEditingStopped, getCellEditorListeners, removeCellEditorListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.swing.CellEditor
`addCellEditorListener, removeCellEditorListener`

Methods inherited from interface javax.swing.CellEditor
`addCellEditorListener, removeCellEditorListener`

Field Detail

### NAME_EDITOR

    public static final int NAME_EDITOR

See Also:
  Constant Field Values

### ATTRIBUTE_ROLE_EDITOR

    public static final int ATTRIBUTE_ROLE_EDITOR

See Also:
  Constant Field Values

### DATA_TYPE_EDITOR

    public static final int DATA_TYPE_EDITOR

See Also:
  Constant Field Values

### DEFAULT_EDITOR

    public static final int DEFAULT_EDITOR

See Also:
  Constant Field Values

### baseattrib

    protected BaseAttribute baseattrib

Constructor Detail

### BaseAttributeEditor

    public BaseAttributeEditor()

  Default Constructor for editing a `JTextField`.

### BaseAttributeEditor

    public BaseAttributeEditor(BaseAttribute baseattrib,
                               int editor)

  Constructs new `ParameterEditor` with a `JTextField`.

Method Detail

### getTableCellRendererComponent

    public java.awt.Component getTableCellRendererComponent(javax.swing.JTable table,
                                                            java.lang.Object value,
                                                            boolean isSelected,
                                                            boolean hasFocus,
                                                            int row,
                                                            int column)

  Gets the `editorComponent`.

  Specified by:
    `getTableCellRendererComponent` in interface `javax.swing.table.TableCellRenderer`
  See Also:
    `TableCellRenderer.getTableCellRendererComponent(JTable, Object, boolean, boolean, int, int)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005